Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.chart
Class ChartFactory

    java.lang.Object
      com.tonbeller.jpivot.chart.ChartFactory

    public class ChartFactory

extends java.lang.Object

Utility methods for creating charts. This class is derived from JFreeChart ChartFactory class.

Constructor Summary
`ChartFactory()`

Method Summary
`static org.jfree.chart.JFreeChart` | `create3DPieChart(java.lang.String title, java.awt.Font titleFont, org.jfree.data.category.CategoryDataset data, org.jfree.util.TableOrder order, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.PieURLGenerator urlGenerator)` Creates a sample dataset for the demo.
`static org.jfree.chart.JFreeChart` | `createAreaChart(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates an area chart with default settings.
`static org.jfree.chart.JFreeChart` | `createBarChart(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a vertical bar chart with default settings.
`static org.jfree.chart.JFreeChart` | `createBarChart3D(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a vertical 3D-effect bar chart with default settings.
`static org.jfree.chart.JFreeChart` | `createLineChart(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a line chart with default settings.
`static org.jfree.chart.JFreeChart` | `createPieChart(java.lang.String title, java.awt.Font titleFont, org.jfree.data.category.CategoryDataset data, org.jfree.util.TableOrder order, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.PieURLGenerator urlGenerator)` Creates a chart containing multiple pie charts, from a TableDataset.
`static org.jfree.chart.JFreeChart` | `createStackedAreaChart(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a stacked area chart with default settings.
`static org.jfree.chart.JFreeChart` | `createStackedBarChart(java.lang.String title, java.awt.Font titleFont, java.lang.String domainAxisLabel, java.lang.String rangeAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a stacked vertical bar chart with default settings.
`static org.jfree.chart.JFreeChart` | `createStackedBarChart3D(java.lang.String title, java.awt.Font titleFont, java.lang.String categoryAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.category.CategoryDataset data, org.jfree.chart.plot.PlotOrientation orientation, boolean legend, boolean tooltips, boolean urls, org.jfree.chart.urls.CategoryURLGenerator urlGenerator)` Creates a stacked vertical bar chart with default settings.
`static org.jfree.chart.JFreeChart` | `createTimeSeriesChart(java.lang.String title, java.awt.Font titleFont, java.lang.String timeAxisLabel, java.lang.String valueAxisLabel, org.jfree.data.xy.XYDataset data, boolean legend, boolean tooltips, boolean urls)` Creates and returns a time series chart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartFactory

    public ChartFactory()

Method Detail

### createPieChart

    public static org.jfree.chart.JFreeChart createPieChart(java.lang.String title,
                                                            java.awt.Font titleFont,
                                                            org.jfree.data.category.CategoryDataset data,
                                                            org.jfree.util.TableOrder order,
                                                            boolean legend,
                                                            boolean tooltips,
                                                            boolean urls,
                                                            org.jfree.chart.urls.PieURLGenerator urlGenerator)

  Creates a chart containing multiple pie charts, from a TableDataset.

  Parameters:
    `title` - the chart title.
    `data` - the dataset for the chart.
    `extractType` - `PER_ROW` or `PER_COLUMN` (defined in `PiePlot`).
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a pie chart.

### create3DPieChart

    public static org.jfree.chart.JFreeChart create3DPieChart(java.lang.String title,
                                                              java.awt.Font titleFont,
                                                              org.jfree.data.category.CategoryDataset data,
                                                              org.jfree.util.TableOrder order,
                                                              boolean legend,
                                                              boolean tooltips,
                                                              boolean urls,
                                                              org.jfree.chart.urls.PieURLGenerator urlGenerator)

  Creates a sample dataset for the demo.

  Returns:
    A sample dataset.

### createBarChart

    public static org.jfree.chart.JFreeChart createBarChart(java.lang.String title,
                                                            java.awt.Font titleFont,
                                                            java.lang.String categoryAxisLabel,
                                                            java.lang.String valueAxisLabel,
                                                            org.jfree.data.category.CategoryDataset data,
                                                            org.jfree.chart.plot.PlotOrientation orientation,
                                                            boolean legend,
                                                            boolean tooltips,
                                                            boolean urls,
                                                            org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a vertical bar chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a vertical bar chart.

### createBarChart3D

    public static org.jfree.chart.JFreeChart createBarChart3D(java.lang.String title,
                                                              java.awt.Font titleFont,
                                                              java.lang.String categoryAxisLabel,
                                                              java.lang.String valueAxisLabel,
                                                              org.jfree.data.category.CategoryDataset data,
                                                              org.jfree.chart.plot.PlotOrientation orientation,
                                                              boolean legend,
                                                              boolean tooltips,
                                                              boolean urls,
                                                              org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a vertical 3D-effect bar chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a vertical 3D-effect bar chart.

### createStackedBarChart

    public static org.jfree.chart.JFreeChart createStackedBarChart(java.lang.String title,
                                                                   java.awt.Font titleFont,
                                                                   java.lang.String domainAxisLabel,
                                                                   java.lang.String rangeAxisLabel,
                                                                   org.jfree.data.category.CategoryDataset data,
                                                                   org.jfree.chart.plot.PlotOrientation orientation,
                                                                   boolean legend,
                                                                   boolean tooltips,
                                                                   boolean urls,
                                                                   org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a stacked vertical bar chart with default settings.

  Parameters:
    `title` - the chart title.
    `domainAxisLabel` - the label for the category axis.
    `rangeAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    The chart.

### createStackedBarChart3D

    public static org.jfree.chart.JFreeChart createStackedBarChart3D(java.lang.String title,
                                                                     java.awt.Font titleFont,
                                                                     java.lang.String categoryAxisLabel,
                                                                     java.lang.String valueAxisLabel,
                                                                     org.jfree.data.category.CategoryDataset data,
                                                                     org.jfree.chart.plot.PlotOrientation orientation,
                                                                     boolean legend,
                                                                     boolean tooltips,
                                                                     boolean urls,
                                                                     org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a stacked vertical bar chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a stacked vertical bar chart.

### createLineChart

    public static org.jfree.chart.JFreeChart createLineChart(java.lang.String title,
                                                             java.awt.Font titleFont,
                                                             java.lang.String categoryAxisLabel,
                                                             java.lang.String valueAxisLabel,
                                                             org.jfree.data.category.CategoryDataset data,
                                                             org.jfree.chart.plot.PlotOrientation orientation,
                                                             boolean legend,
                                                             boolean tooltips,
                                                             boolean urls,
                                                             org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a line chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a line chart.

### createAreaChart

    public static org.jfree.chart.JFreeChart createAreaChart(java.lang.String title,
                                                             java.awt.Font titleFont,
                                                             java.lang.String categoryAxisLabel,
                                                             java.lang.String valueAxisLabel,
                                                             org.jfree.data.category.CategoryDataset data,
                                                             org.jfree.chart.plot.PlotOrientation orientation,
                                                             boolean legend,
                                                             boolean tooltips,
                                                             boolean urls,
                                                             org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates an area chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    an area chart.

### createStackedAreaChart

    public static org.jfree.chart.JFreeChart createStackedAreaChart(java.lang.String title,
                                                                    java.awt.Font titleFont,
                                                                    java.lang.String categoryAxisLabel,
                                                                    java.lang.String valueAxisLabel,
                                                                    org.jfree.data.category.CategoryDataset data,
                                                                    org.jfree.chart.plot.PlotOrientation orientation,
                                                                    boolean legend,
                                                                    boolean tooltips,
                                                                    boolean urls,
                                                                    org.jfree.chart.urls.CategoryURLGenerator urlGenerator)

  Creates a stacked area chart with default settings.

  Parameters:
    `title` - the chart title.
    `categoryAxisLabel` - the label for the category axis.
    `valueAxisLabel` - the label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    an area chart.

### createTimeSeriesChart

    public static org.jfree.chart.JFreeChart createTimeSeriesChart(java.lang.String title,
                                                                   java.awt.Font titleFont,
                                                                   java.lang.String timeAxisLabel,
                                                                   java.lang.String valueAxisLabel,
                                                                   org.jfree.data.xy.XYDataset data,
                                                                   boolean legend,
                                                                   boolean tooltips,
                                                                   boolean urls)

  Creates and returns a time series chart.

  A time series chart is an XYPlot with a date axis (horizontal) and a number axis (vertical), and each data item is connected with a line.

  Note that you can supply a TimeSeriesCollection to this method, as it implements the XYDataset interface.

  Parameters:
    `title` - the chart title.
    `timeAxisLabel` - a label for the time axis.
    `valueAxisLabel` - a label for the value axis.
    `data` - the dataset for the chart.
    `legend` - a flag specifying whether or not a legend is required.
    `tooltips` - configure chart to generate tool tips?
    `urls` - configure chart to generate URLs?
  Returns:
    a time series chart.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD